#include "pub/PubWrapperHelper.h"
#include "pub/PubDataWrapper.h"
#include "sub/SubWrapperHelper.h"
#include "CAN_PubDataWrapper.h"
#include "CAN_SubDataWrapper.h"
#include "can_msg_node/executable.h"

#include "CAN_GeneralWrapper.h"


GeneralWrapper::GeneralWrapper(ara::log::Logger& mainLog) :
_CAN2SWC_Provide("can_msg_node/can_msg_node/CAN2SWCPPort" ,mainLog),
_Lat2CAN_Required("can_msg_node/can_msg_node/Lat2CANRPort", mainLog),
_Long2CAN_Required("can_msg_node/can_msg_node/Long2CANRPort", mainLog)
{
    _CAN2SWC_Provide.Init();
    _Lat2CAN_Required.Init();
    _Long2CAN_Required.Init();

}

GeneralWrapper::~GeneralWrapper() {
	_Lat2CAN_Required.Destroy();
	_Long2CAN_Required.Destroy();
}
